package cn.net.connor.process;

import k.util.KUtil;

public class ProcessUtil {
	
	public static final String PREF_MEOP_ITEMTYPE = "Connor_AVIC_MEOP_Types";
	public static final String PREF_MEPROCESS_ITEMTYPE = "Connor_AVIC_MEProcess_Types";

	public static boolean isMEOP(String itemTypeName) throws Exception{
		if(KUtil.isEmpty(itemTypeName)) {
			return false;
		}
		String[] types = KUtil.getPrefVals(KUtil.session, PREF_MEOP_ITEMTYPE);
		return KUtil.inArray(itemTypeName, types)>=0;
	}
	
	public static boolean isMEProcess(String itemTypeName) throws Exception{
		if(KUtil.isEmpty(itemTypeName)) {
			return false;
		}
		String[] types = KUtil.getPrefVals(KUtil.session, PREF_MEPROCESS_ITEMTYPE);
		return KUtil.inArray(itemTypeName, types)>=0;
	}
}
