package cn.net.connor.process.commands;

import org.eclipse.swt.widgets.Display;

import com.teamcenter.rac.aif.AIFDesktop;
import com.teamcenter.rac.aif.AbstractAIFApplication;
import com.teamcenter.rac.kernel.TCSession;

import cn.net.connor.process.ProcessLocale;
import k.KCommand;
import k.util.KUtil;

public class ScreenShotCommand extends KCommand {

	private boolean hideTC;
	private static final String PREF_SCREENSHOT = "Connor_ScreenShot_Command";

	public ScreenShotCommand(AbstractAIFApplication app, String commandId, String actionInfo) {
		super(app, commandId, actionInfo);
		this.hideTC = "true".equals(actionInfo);
	}

	@Override
	public void executeModal() throws Exception {
		String cmd = KUtil.getPrefVal((TCSession) app.getSession(), PREF_SCREENSHOT);
		System.out.println("ScreenShot: "+cmd);
		if(KUtil.isEmpty(cmd)) {
			KUtil.info(null, String.format(ProcessLocale.getString("prefnotconfiged.ERROR1"), PREF_SCREENSHOT));
			return;
		}
		if(hideTC) {
			Display.getDefault().syncExec(new Runnable() {
				@Override
				public void run() {
					// System.out.println(AIFDesktop.getActiveDesktop().getShell());
					AIFDesktop.getActiveDesktop().getShell().setMinimized(true);
				}
			});
			Thread.sleep(600);
		}
		Runtime.getRuntime().exec(cmd);
	}
	
	

}
