package cn.net.connor.process.commands;

import com.teamcenter.rac.aif.AbstractAIFApplication;

import cn.net.connor.process.ProcessLocale;
import cn.net.connor.process.gzbomexport.GZBomExportOperation;
import cn.net.connor.process.meopviewfx.dialog.TestDialog;
import cn.net.connor.process.meopviewfx.dialog.TestDialogController;
import cn.net.connor.process.modifymeopno.ModifyMeopNoDialog;
import cn.net.connor.process.modifymeopno.ModifyMeopNoDialogController;
import cn.net.connor.process.newmeop.NewMeopDialog;
import cn.net.connor.process.newmeop.NewMeopDialogController;
import cn.net.connor.process.newprocess.NewProcessDialog;
import cn.net.connor.process.newprocess.NewProcessDialogController;
import cn.net.connor.process.processcard.ProcessCardDialog;
import cn.net.connor.process.processcard.ProcessCardDialogController;
import cn.net.connor.process.processprocedure.ProcessProcDialog;
import cn.net.connor.process.processprocedure.ProcessProcDialogController;
import cn.net.connor.process.proctask.ProcTaskDialog;
import cn.net.connor.process.proctask.ProcTaskDialogController;
import k.KCommand;

public class TestCommand extends KCommand{

	public TestCommand(AbstractAIFApplication app, String commandId, String actionInfo) {
		super(app, commandId, actionInfo);
		this.setRunnable(new NewProcessDialog(new NewProcessDialogController(app)));
		this.setRunnable(new GZBomExportOperation(app, ProcessLocale.getString("gzbomfunc.TITLE")));
		this.setRunnable(new TestDialog(new TestDialogController(app)));
		this.setRunnable(new NewMeopDialog(new NewMeopDialogController(app)));
		this.setRunnable(new ModifyMeopNoDialog(new ModifyMeopNoDialogController(app)));
		this.setRunnable(new ProcessProcDialog(new ProcessProcDialogController(app)));
		this.setRunnable(new ProcessCardDialog(new ProcessCardDialogController(app, "A3_")));
		this.setRunnable(new ProcTaskDialog(new ProcTaskDialogController(app)));
		this.setRunnable(new ProcessCardDialog(new ProcessCardDialogController(app, "")));
	}

}
