package cn.net.connor.process.hourcalculation;

import java.awt.image.RenderedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.imageio.ImageIO;
import javax.mail.Flags.Flag;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import javax.xml.crypto.Data;

import com.sun.prism.impl.Disposer.Target;
import com.teamcenter.rac.aif.AbstractAIFApplication;
import com.teamcenter.rac.aif.AbstractAIFCommand;
import com.teamcenter.rac.aif.kernel.AIFComponentContext;
import com.teamcenter.rac.aif.kernel.InterfaceAIFComponent;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponent;
import com.teamcenter.rac.kernel.TCComponentBOMLine;
import com.teamcenter.rac.kernel.TCComponentDataset;
import com.teamcenter.rac.kernel.TCComponentICO;
import com.teamcenter.rac.kernel.TCComponentItem;
import com.teamcenter.rac.kernel.TCComponentItemRevision;
import com.teamcenter.rac.kernel.TCComponentItemType;
import com.teamcenter.rac.kernel.TCComponentTcFile;
import com.teamcenter.rac.kernel.TCException;
import com.teamcenter.rac.kernel.TCPreferenceService;
import com.teamcenter.rac.kernel.TCProperty;
import com.teamcenter.rac.kernel.TCSession;
import com.teamcenter.rac.kernel.ics.ICSProperty;
import com.teamcenter.rac.kernel.ics.ICSPropertyDescription;
import com.teamcenter.rac.kernel.tcservices.TcServicesService;
import com.teamcenter.rac.util.MessageBox;

import cn.net.connor.process.meopviewfx.bean.KTableRow;
import cn.net.connor.process.meopviewfx.bean.PropConfig;
import javafx.scene.control.TableView;



public class selectionCommand extends AbstractAIFCommand {

	private TCComponentBOMLine comp;
	private TCSession session;
	private TableView<KTableRow> table;
	private List<PropConfig> propConfigs;
	private TCComponentBOMLine target;
	
	public JTextField Field1=new JTextField();
	public JTextField Field2=new JTextField();
	public JTextField Field3=new JTextField();
	public JTextField Field4=new JTextField();
	public JTextField Field5=new JTextField();
	
	public selectionCommand(TCComponentBOMLine target,JTextField Field1,JTextField Field2,JTextField Field3,JTextField Field4,JTextField Field5) {
		this.Field1=Field1;
		this.Field2=Field2;
		this.Field3=Field3;
		this.Field4=Field4;
		this.Field5=Field5;
		this.target=target;
		// TODO Auto-generated constructor stub
		try {
			executeModal();
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	


	@Override
	public void executeModal() throws Exception {
		// TODO Auto-generated method stub
		System.out.println("select different dialog by selection");
		AbstractAIFApplication app = AIFUtility.getCurrentApplication();
		TCSession session = (TCSession) app.getSession();
		//õǰѡĶͼƣѡбȶ
		TCPreferenceService service = session.getPreferenceService();
		String[] strs = service.getStringValues("AVIC_HoursCalculation_Class"); 
		if(strs==null||strs.length==0) {
			MessageBox.post("ѡĹûйʱãԱϵ", "", MessageBox.ERROR);
			return;
		}
		
		String type=this.target.getItemRevision().getType();
		String name=this.target.getItemRevision().getStringProperty("object_name");
		System.out.println(type+":"+name);
		
		
		boolean isFind=true;
		for(String str:strs) {//ȱƲΪյ
			if(str.split("=").length==3) {
				if(str.split("=")[0].equals(type)&&!str.split("=")[1].equals("")&&name.indexOf(str.split("=")[1])>=0) {
					if(str.split("=")[2].equals("װ估ǯʱ")) {
						new hourCCommand(session,target,Field1,Field2,Field3,Field4,Field5);
						return;
					}else if(str.split("=")[2].equals("ӹʱ")) {
						new FitterCommand(session,target,Field1,Field2,Field3,Field4);
						return;
					}
				}
			}
		}
		
		for(String str:strs) {//ƲΪյûҵٱΪյ
			if(str.split("=").length==3) {
				if(str.split("=")[0].equals(type)&&name.indexOf(str.split("=")[1])>=0) {
					if(str.split("=")[2].equals("װ估ǯʱ")) {
						new hourCCommand(session,target,Field1,Field2,Field3,Field4,Field5);
						return;
					}else if(str.split("=")[2].equals("ӹʱ")) {
						new FitterCommand(session,target,Field1,Field2,Field3,Field4);
						return;
					}
				}
			}
		}
		
		
		
			
		for(String str:strs) {
			if(str.split("=").length==2) {
				if(str.split("=")[0].equals(type)) {
					if(str.split("=")[1].equals("װ估ǯʱ")) {
						new hourCCommand(session,target,Field1,Field2,Field3,Field4,Field5);
						return;
//						new FitterCommand(session,target,Field1,Field2);
//						return;
					}else if(str.split("=")[1].equals("ӹʱ")) {
						new FitterCommand(session,target,Field1,Field2,Field3,Field4);
						return;
					}
				}
			}
		}
		
		MessageBox.post("ѡĹûйʱãԱϵ", "", MessageBox.ERROR);
			
	}
}
