package cn.net.connor.process.processcardmultiple;

import java.util.List;

import com.teamcenter.rac.kernel.TCComponentBOMLine;
import com.teamcenter.rac.kernel.TCComponentDataset;
import com.teamcenter.rac.kernel.TCComponentItemRevision;

import k.word.KWord;

public class MultiProcessCardBean {

	protected TCComponentBOMLine targetLine;
	protected TCComponentBOMLine processLine;
	protected TCComponentItemRevision meTargetRev;
	protected String dsNameFormat;
	protected KWord lbjlb;
	protected String templateName_LBJLB;
	protected List<String> gdWordsPref;
	protected List<KWord> kWords;
	protected TCComponentDataset oldExport;
	protected String opNumber;
	private boolean exportLBJLB = false;
	
	public MultiProcessCardBean(TCComponentBOMLine targetLine, TCComponentBOMLine processLine, TCComponentItemRevision meTargetRev, String dsNameFormat, KWord lbjlb, String templateName_LBJLB,
			List<String> gdWordsPref, List<KWord> kWords, TCComponentDataset oldExport, String opNumber) {
		super();
		this.targetLine = targetLine;
		this.processLine = processLine;
		this.meTargetRev = meTargetRev;
		this.dsNameFormat = dsNameFormat;
		this.lbjlb = lbjlb;
		this.templateName_LBJLB = templateName_LBJLB;
		this.gdWordsPref = gdWordsPref;
		this.kWords = kWords;
		this.oldExport = oldExport;
		this.opNumber = opNumber;
	}

	public boolean isExportLBJLB() {
		return exportLBJLB;
	}

	public void setExportLBJLB(boolean exportLBJLB) {
		this.exportLBJLB = exportLBJLB;
	}

	public Object[] getRowData(int i)  {
		return new Object[] {false, i, this, templateName_LBJLB};
	}
	
	@Override
	public String toString() {
		return opNumber;
	}
	
}
