package cn.net.connor.process.processcardmultiple;

import com.teamcenter.rac.aif.AbstractAIFApplication;

import cn.net.connor.process.ProcessLocale;
import k.KDialogController;
import k.util.KUtil;

public class MultiProcessCardDialogController extends KDialogController{

	protected MultiProcessCardOperation operation;
	private String prefName;
	private MultiProcessCardDialog dialog;

	public MultiProcessCardDialogController(AbstractAIFApplication app, String prefName) {
		super(app);
		this.operation = new MultiProcessCardOperation(app, ProcessLocale.getString("exportproccard"), prefName);
		this.prefName = prefName;
	}

	@Override
	public boolean init() throws Exception {
		this.dialog = (MultiProcessCardDialog)aifDialog;
		if (!KUtil.isEmpty(prefName)) {
			this.operation.executeModeless();
			return false;
		}
		return this.operation.init();
	}
	
	public void doExport() throws Exception {
		int rowCnt = dialog.table.getRowCount();
		for(int i=0; i<rowCnt; i++) {
			boolean exportLBJLB = (boolean) dialog.table.getValueAt(i, 0);
			MultiProcessCardBean bean = (MultiProcessCardBean) dialog.table.getValueAt(i, 2);
			bean.setExportLBJLB(exportLBJLB);
		}
		aifDialog.disposeDialog();
		this.operation.executeModeless();
	}
}
