package cn.net.connor.process;

import com.teamcenter.rac.util.Registry;


public class ProcessLocale {

	public static final Registry reg = Registry.getRegistry(ProcessLocale.class);
	
	public static String getString(String title) {
		if (isEmpty(title)) {
			return "";
		} else {
			String res = reg.getString(title);
			return isEmpty(res) ? title : res;
		}
	}
	
	private static boolean isEmpty(String title) {
		return title == null || "".equals(title.trim());
	}
}
