package cn.net.connor.process.meopviewfx.bean;

import java.util.ArrayList;
import java.util.List;

import k.util.KUtil;

public class TextBean {

	private String text;
	private String realValue;
	public List<TextBean> children = new ArrayList<TextBean>();
	private String itemId;
	private String revId;

	public TextBean(String text, String itemId, String revId) {
		this.text = text;
		this.itemId = itemId;
		this.revId = revId;
	}

	public TextBean(String text) {
		this.text = text;
	}

	public void setRealValue(String realValue) {
		this.realValue = realValue;
	}

	public String getRealValue() {
		return KUtil.isEmpty(realValue) ? text : realValue;
	}

	public String getDisplayValue() {
		return text;
	}

	public String getMKHId() {
		return itemId;
	}

	public String getMKHRev() {
		return revId;
	}

	@Override
	public String toString() {
		return getDisplayValue();
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (obj instanceof TextBean) {
			return text.equals(((TextBean) obj).text);
		}
		return false;
	}

}
