package cn.net.connor.process.processcard;

import com.teamcenter.rac.aif.AbstractAIFApplication;

import cn.net.connor.process.ProcessLocale;
import k.KDialogController;
import k.util.KUtil;

public class ProcessCardDialogController extends KDialogController {

	protected ProcessCardOperation operation;
	private ProcessCardDialog dialog;
	private String prefName;

	public ProcessCardDialogController(AbstractAIFApplication app, String prefName) {
		super(app);
		this.operation = new ProcessCardOperation(app, ProcessLocale.getString("exportproccard"), prefName);
		this.prefName = prefName;
	}

	@Override
	public boolean init() throws Exception {
		this.dialog = (ProcessCardDialog) aifDialog;
		if(!KUtil.isEmpty(prefName)) {
			this.operation.executeModeless();
			return false;
		}
		return this.operation.init();
	}

	public void doExport() throws Exception {
		aifDialog.disposeDialog();
		this.operation.setExportLBJLB(dialog.cb_lbjlb.isSelected());
		session.performOperation(operation);
	}

}
