package cn.net.connor.process.processprocedure;

import com.teamcenter.rac.aif.AbstractAIFApplication;

import cn.net.connor.process.ProcessLocale;
import k.KDialogController;

public class ProcessProcDialogController extends KDialogController{
	
	protected ProcessProcOperation operation;
	private ProcessProcDialog dialog;

	public ProcessProcDialogController(AbstractAIFApplication app) {
		super(app);
		this.operation = new ProcessProcOperation(app, ProcessLocale.getString("exportprocessprocedure"));
	}

	@Override
	public boolean init() throws Exception {
		this.dialog = (ProcessProcDialog)aifDialog;
		return this.operation.init();
	}

	public void doExport() throws Exception {
		aifDialog.disposeDialog();
		this.operation.setExportLBJLB(dialog.cb_lbjlb.isSelected());
		session.performOperation(operation);
	}

}
